{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-191.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "perl-Socket-2.038-510.fc41",
        "store-results-to": "/tmp/tmp0yibj648/perl-Socket-2.038-510.fc41.tar.xz",
        "time-created": "2024-07-03 16:51:57",
        "time-finished": "2024-07-03 16:52:51",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmp0yibj648/perl-Socket-2.038-510.fc41.tar.xz' '--gcc-analyze' '/tmp/tmp0yibj648/perl-Socket-2.038-510.fc41.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-Socket-2.038-build/Socket-2.038/Socket.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "b93c7ef1bd867346e63e792808f9843a173896f8",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-Socket-2.038-build/Socket-2.038/Socket.c",
                    "line": 1882,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'file' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "perl-Socket-2.038-build/Socket-2.038/Socket.c",
                    "line": 1882,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'file' during its initialization is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1880|       char* file = __FILE__;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1881|   #else",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1882|->     const char* file = __FILE__;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1883|   #endif",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1884|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-Socket-2.038-build/Socket-2.038/test-0.c",
                    "line": 0,
                    "event": "internal warning",
                    "message": "child 41 terminated by signal 15",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-Socket-2.038-build/Socket-2.038/test-0.c",
                    "line": 17,
                    "column": 23,
                    "event": "warning[-Wunused-but-set-variable]",
                    "message": "variable ‘sa’ set but not used",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   17 |     { struct sockaddr sa; sa.sa_len = 0; }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                       ^~",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
